﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.ObjectModel;

namespace DataForm
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();

			this.DataContext = new People();
		}
	}

	public class Person : INotifyPropertyChanged
	{
		private string name;
		private string gender;

		public Person(string name, string gender)
		{
			this.name = name;
			this.gender = gender;
		}

		public string Name
		{
			get
			{
				return this.name;
			}
			set
			{
				if (this.name != value)
				{
					this.name = value;
					this.OnPopertyChanged("Name");
				}
			}
		}

		public string Gender
		{
			get
			{
				return this.gender;
			}
			set
			{
				if (this.gender != value)
				{
					this.gender = value;
					this.OnPopertyChanged("Gender");
				}
			}
		}

		private void OnPopertyChanged(string propertyName)
		{
			if (this.PropertyChanged != null)
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}

		public event PropertyChangedEventHandler PropertyChanged;
	}

	public class People : ObservableCollection<Person>
	{
		public People()
		{
			Add(new Person("John", "Male"));
			Add(new Person("Sue", "Female"));
		}
	}
}